<?php
    
    namespace backend\models;
    
    use common\modules\language\behaviors\LanguageBehavior;
    use yii\db\ActiveQuery;
    use yii\db\ActiveRecord;
    use yii\web\Request;
    
    /**
     * Class Label
     * * From language behavior *
     * @property OrdersLabelLang   $lang
     * @property OrdersLabelLang[] $langs
     * @property OrdersLabelLang   $object_lang
     * @property string            $ownerKey
     * @property string            $langKey
     * @property OrdersLabelLang[] $model_langs
     * @property bool              $transactionStatus
     * @property integer           $id
     * @property string            $label
     * @method string           getOwnerKey()
     * @method void             setOwnerKey( string $value )
     * @method string           getLangKey()
     * @method void             setLangKey( string $value )
     * @method ActiveQuery      getLangs()
     * @method ActiveQuery      getLang( integer $language_id )
     * @method OrdersLabelLang[]    generateLangs()
     * @method void             loadLangs( Request $request )
     * @method bool             linkLangs()
     * @method bool             saveLangs()
     * @method bool             getTransactionStatus()
     * * End language behavior
     */
    class Label extends ActiveRecord
    {
        
        public function rules()
        {
            return [
                [
                    [ 'label' ],
                    'string',
                ],
            ];
        }
        
        public static function tableName()
        {
            return 'orders_label';
        }
        
        public function behaviors()
        {
            return [
                'language' => [
                    'class'       => LanguageBehavior::className(),
                    'object_lang' => OrdersLabelLang::className(),
                    'ownerKey'    => 'id',
                    'langKey'     => 'orders_label_id',
                ],
            ];
        }
    }
