<?php
    
    use common\modules\product\models\Brand;
    use common\modules\product\models\BrandSearch;
    use yii\data\ActiveDataProvider;
    use yii\helpers\Html;
    use yii\grid\GridView;
    use yii\web\View;
    
    /**
     * @var View               $this
     * @var BrandSearch        $searchModel
     * @var ActiveDataProvider $dataProvider
     */
    
    $this->title = Yii::t('product', 'Brands');
    $this->params[ 'breadcrumbs' ][] = $this->title;
?>
<div class="brand-index">
    
    <h1><?= Html::encode($this->title) ?></h1>
    
    <p>
        <?= Html::a(Yii::t('product', Yii::t('product', 'Create Brand')), [ 'create' ], [ 'class' => 'btn btn-success' ]) ?>
    </p>
    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel'  => $searchModel,
        'columns'      => [
            'brand_id',
            [
                'attribute' => 'brand_name',
                'value'     => 'lang.name',
            ],
            'imageUrl:image',
            [
                'attribute' => 'in_menu',
                'content'   => function($model) {
                    /**
                     * @var Brand $model
                     */
                    return Html::tag('span', '', [
                        'class' => 'glyphicon glyphicon-'.($model->in_menu?'ok':'remove'),
                    ]);
                },
            ],
            [ 'class' => 'yii\grid\ActionColumn',
        ],
    ],
    ]); ?>
</div>
