<?php
    
    use common\models\Certificate;
    use yii\helpers\Html;
    use yii\grid\GridView;
    
    /**
     * @var yii\web\View                    $this
     * @var common\models\CertificateSearch $searchModel
     * @var yii\data\ActiveDataProvider     $dataProvider
     */
    $this->title = Yii::t('app', 'Certificates');
    $this->params[ 'breadcrumbs' ][] = $this->title;
?>
<div class="certificate-index">
    
    <h1><?= Html::encode($this->title) ?></h1>
    
    <p>
        <?= Html::a(Yii::t('app', 'Create Certificate'), [ 'create' ], [ 'class' => 'btn btn-success' ]) ?>
    </p>
    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel'  => $searchModel,
        'columns'      => [
            [ 'class' => 'yii\grid\SerialColumn' ],
            'certificate_id',
            'name',
            [
                'attribute' => 'link',
                'value'     => function($model) {
                    /**
                     * @var Certificate $model
                     */
                    return Html::a($model->link, $model->getCertificateUrl());
                },
                'format' => 'html',
            ],
            [ 'class' => 'yii\grid\ActionColumn' ],
        ],
    ]); ?>
</div>
