<?php
    
    use yii\helpers\Html;
    use yii\widgets\DetailView;
    
    /**
     * @var yii\web\View              $this
     * @var common\models\Certificate $model
     */
    $this->title = $model->name;
    $this->params[ 'breadcrumbs' ][] = [
        'label' => 'Certificates',
        'url'   => [ 'index' ],
    ];
    $this->params[ 'breadcrumbs' ][] = $this->title;
?>
<div class="certificate-view">
    
    <h1><?= Html::encode($this->title) ?></h1>
    
    <p>
        <?= Html::a('Update', [
            'update',
            'id' => $model->certificate_id,
        ], [ 'class' => 'btn btn-primary' ]) ?>
        <?= Html::a('Delete', [
            'delete',
            'id' => $model->certificate_id,
        ], [
            'class' => 'btn btn-danger',
            'data'  => [
                'confirm' => 'Are you sure you want to delete this item?',
                'method'  => 'post',
            ],
        ]) ?>
    </p>
    
    <?= DetailView::widget([
        'model'      => $model,
        'attributes' => [
            'certificate_id',
            'name',
            [
                'attribute' => 'link',
                'value'     => Html::a($model->link, $model->getCertificateUrl()),
                'format'    => 'html',
            ],
        ],
    ]) ?>

</div>
