<?php
    
    use backend\models\Label;
    use backend\models\OrdersLabelLang;
    use common\modules\language\widgets\LanguageForm;
    use yii\helpers\Html;
    use yii\web\View;
    use yii\widgets\ActiveForm;
    
    /**
     * @var View $this
     * @var Label $model
     * @var ActiveForm $form
     * @var OrdersLabelLang[] $model_langs
     */
?>

<div class="label-form">

    <?php $form = ActiveForm::begin(); ?>
    
    <?= $form->field($model, 'label')->textInput(['maxlength' => true]) ?>
    
    <?= LanguageForm::widget([
        'model_langs' => $model_langs,
        'formView'    => '@backend/views/label/_form_language',
        'form'        => $form,
    ]) ?>

    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? Yii::t('app', 'Create') : Yii::t('app', 'Update'), ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>
