<?php
    
    use yii\helpers\Html;
    use yii\grid\GridView;
    
    /**
     * @var yii\web\View                 $this
     * @var common\models\ArticlesSearch $searchModel
     * @var yii\data\ActiveDataProvider  $dataProvider
     */
    $this->title = \Yii::t('app', 'Project');
    $this->params[ 'breadcrumbs' ][] = $this->title;
?>
<div class="articles-index">
    
    <h1><?= Html::encode($this->title) ?></h1>
    
    <p>
        <?= Html::a(\Yii::t('app', 'Create Project'), [ 'create' ], [ 'class' => 'btn btn-success' ]) ?>
    </p>
    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel'  => $searchModel,
        'columns'      => [
            'project_id',
            'date_add:date',
            [
                'attribute' => 'title',
                'value'     => 'lang.title',
            ],
            'image.imageUrl:image',
            [
                'class'    => 'yii\grid\ActionColumn',
                'buttons'  => [
                    'product' => function($url, $model) {
                        return Html::a(Html::tag('span', '', [ 'class' => 'glyphicon glyphicon-list' ]), $url);
                    },
                ],
                'template' => '{product} {view} {update} {delete}',
            ],
        ],
    ]); ?>
</div>
