<?php
    
    use yii\helpers\Html;
    use yii\widgets\DetailView;
    
    /**
     * @var yii\web\View          $this
     * @var common\models\Project $model
     */
    $this->title = $model->lang->title;
    $this->params[ 'breadcrumbs' ][] = [
        'label' => \Yii::t('app', 'Project'),
        'url'   => [ 'index' ],
    ];
    $this->params[ 'breadcrumbs' ][] = $this->title;
?>
<div class="articles-view">
    
    <h1><?= Html::encode($this->title) ?></h1>
    
    <p>
        <?= Html::a(
            \Yii::t('app', 'Update'),
            [
                'update',
                'id' => $model->project_id,
            ],
            [ 'class' => 'btn btn-primary' ]
        ) ?>
        <?= Html::a(
            \Yii::t('app', 'Delete'),
            [
                'delete',
                'id' => $model->project_id,
            ],
            [
                'class' => 'btn btn-danger',
                'data'  => [
                    'confirm' => \Yii::t('app', 'Are you sure you want to delete this item?'),
                    'method'  => 'post',
                ],
            ]
        ) ?>
    </p>
    
    <?= DetailView::widget(
        [
            'model'      => $model,
            'attributes' => [
                'project_id',
                'date_add:date',
                'lang.title',
                'lang.alias',
                'lang.description:html',
                'lang.description_preview:html',
                'image.imageUrl:image',
            ],
        ]
    ) ?>

</div>
