<?php
    
    use common\models\SeoCategory;
    use common\models\SeoDynamic;
    use common\models\SeoDynamicLang;
    use yii\helpers\Html;
    use yii\web\View;
    
    /**
     * @var View             $this
     * @var SeoDynamic       $model
     * @var SeoDynamicLang[] $model_langs
     * @var SeoCategory      $seo_category
     */
    
    $this->title = Yii::t('app', 'Update {modelClass}: ', [
            'modelClass' => 'Seo Dynamic',
        ]) . $model->lang->name;
    $this->params[ 'breadcrumbs' ][] = [
        'label' => Yii::t('app', 'Seo Categories'),
        'url'   => [ '/seo-category/index' ],
    ];
    $this->params[ 'breadcrumbs' ][] = [
        'label' => $seo_category->lang->name,
        'url'   => [
            'index',
            'seo_category_id' => $seo_category->seo_category_id,
        ],
    ];
    $this->params[ 'breadcrumbs' ][] = [
        'label' => $model->lang->name,
        'url'   => [
            'view',
            'seo_category_id' => $seo_category->seo_category_id,
            'id'              => $model->seo_dynamic_id,
        ],
    ];
    $this->params[ 'breadcrumbs' ][] = Yii::t('app', 'Update');
?>
<div class="seo-dynamic-update">
    
    <h1><?= Html::encode($this->title) ?></h1>
    
    <?= $this->render('_form', [
        'model'       => $model,
        'model_langs' => $model_langs,
    ]) ?>

</div>
