<?php
    
    use common\models\SeoCategory;
    use yii\helpers\Html;
    use yii\widgets\DetailView;
    
    /**
     * @var yii\web\View             $this
     * @var common\models\SeoDynamic $model
     * @var SeoCategory              $seo_category
     */
    $this->title = $model->lang->name;
    $this->params[ 'breadcrumbs' ][] = [
        'label' => Yii::t('app', 'Seo Categories'),
        'url'   => [ '/seo-category/index' ],
    ];
    $this->params[ 'breadcrumbs' ][] = [
        'label' => $seo_category->lang->name,
        'url'   => [
            'index',
            'seo_category_id' => $seo_category->seo_category_id,
        ],
    ];
    $this->params[ 'breadcrumbs' ][] = $this->title;
?>
<div class="seo-dynamic-view">
    
    <h1><?= Html::encode($this->title) ?></h1>
    
    <p>
        <?= Html::a(Yii::t('app', 'Update'), [
            'update',
            'id'              => $model->seo_dynamic_id,
            'seo_category_id' => $seo_category->seo_category_id,
        ], [ 'class' => 'btn btn-primary' ]) ?>
        <?= Html::a(Yii::t('app', 'Delete'), [
            'delete',
            'id'              => $model->seo_dynamic_id,
            'seo_category_id' => $seo_category->seo_category_id,
        ], [
            'class' => 'btn btn-danger',
            'data'  => [
                'confirm' => Yii::t('app', 'Are you sure you want to delete this item?'),
                'method'  => 'post',
            ],
        ]) ?>
    </p>
    
    <?= DetailView::widget([
        'model'      => $model,
        'attributes' => [
            'seo_dynamic_id',
            [
                'label'  => \Yii::t('app', 'Seo Category'),
                'value'  => Html::a($seo_category->lang->name, [
                    'index',
                    'seo_category_id' => $seo_category->seo_category_id,
                ]),
                'format' => 'html',
            ],
            'lang.name',
            'action',
            'fields',
            'param',
            'status',
            'lang.title',
            'lang.h1',
            'lang.key',
            'lang.meta',
            'lang.description',
            'lang.seo_text',
        ],
    ]) ?>

</div>
