<?php
    
    namespace common\models;
    
    use yii\base\Model;
    use yii\data\ActiveDataProvider;
    
    /**
     * SliderImageSearch represents the model behind the search form about
     * `common\models\SliderImage`.
     */
    class SliderImageSearch extends SliderImage
    {
        
        public function behaviors()
        {
            return [];
        }
        
        /**
         * @inheritdoc
         */
        public function rules()
        {
            return [
                [
                    [
                        'slider_image_id',
                        'slider_id',
                        'status',
                        'sort',
                    ],
                    'integer',
                ],
                [
                    [
                        'url',
                    ],
                    'safe',
                ],
            ];
        }
        
        /**
         * @inheritdoc
         */
        public function scenarios()
        {
            // bypass scenarios() implementation in the parent class
            return Model::scenarios();
        }
        
        /**
         * Creates data provider instance with search query applied
         *
         * @param array $params
         * @param       $slider_id Slider id
         *
         * @return ActiveDataProvider
         */
        public function search($slider_id, $params)
        {
            $query = SliderImage::find();
            
            // add conditions that should always apply here
            
            $dataProvider = new ActiveDataProvider([
                'query' => $query,
            ]);
            
            $this->load($params);
            
            if(!$this->validate()) {
                // uncomment the following line if you do not want to return any records when validation fails
                // $query->where('0=1');
                return $dataProvider;
            }
            
            // grid filtering conditions
            $query->andFilterWhere([
                'slider_image_id' => $this->slider_image_id,
                'slider_id'       => $slider_id,
                'status'          => $this->status,
                'sort'            => $this->sort,
            ]);
            
            $query->andFilterWhere([
                    'like',
                    'url',
                    $this->url,
                ]);
            
            return $dataProvider;
        }
    }
