<?php
    
    use common\models\ProductSpec;
    use common\models\ProductSpecLang;
    use common\modules\product\models\Product;
    use common\modules\product\models\ProductLang;
    use yii\helpers\Html;
    use yii\web\View;
    
    /**
     * @var View              $this
     * @var Product           $model
     * @var ProductLang[]     $model_langs
     * @var ProductSpec       $product_spec
     * @var ProductSpecLang[] $product_spec_langs
     */
    
    $this->title = Yii::t('product', 'Create Product');
    $this->params[ 'breadcrumbs' ][] = [
        'label' => Yii::t('product', 'Products'),
        'url'   => [ 'index' ],
    ];
    $this->params[ 'breadcrumbs' ][] = $this->title;
?>
<div class="product-create">
    
    <h1><?= Html::encode($this->title) ?></h1>
    
    <?= $this->render('_form', [
        'model'              => $model,
        'model_langs'        => $model_langs,
        'product_spec'       => $product_spec,
        'product_spec_langs' => $product_spec_langs,
    ]) ?>

</div>
