<?php
    
    use common\modules\product\models\Product;
    use common\modules\product\models\ProductStock;
    use common\modules\product\models\ProductVariant;
    use common\modules\product\models\ProductVariantLang;
    use yii\db\ActiveQuery;
    use yii\helpers\Html;
    use yii\helpers\Url;
    use yii\web\View;
    
    /**
     * @var View                 $this
     * @var ProductVariant       $model
     * @var ProductVariantLang[] $model_langs
     * @var ActiveQuery          $groups
     * @var ProductStock[]       $stocks
     * @var Product              $product
     */
    $this->title = Yii::t('product', 'Update {modelClass}: ', [
            'modelClass' => 'Product',
        ]) . ' ' . $model->lang->name;
    $this->params[ 'breadcrumbs' ][] = [
        'label' => Yii::t('product', 'Products'),
        'url'   => [ '/product/manage/index' ],
    ];
    $this->params[ 'breadcrumbs' ][] = [
        'label' => $model->product->lang->name,
        'url'   => [
            '/product/manage/view',
            'id' => $model->product->product_id,
        ],
    ];
    $this->params[ 'breadcrumbs' ][] = [
        'label' => Yii::t('product', 'Variants'),
        'url'   => Url::to([
            'index',
            'product_id' => $model->product->product_id,
        ]),
    ];
    $this->params[ 'breadcrumbs' ][] = [
        'label' => Yii::t('product', $model->lang->name),
        'url'   => Url::to([
            'view',
            'id' => $model->product_variant_id,
        ]),
    ];
    $this->params[ 'breadcrumbs' ][] = Yii::t('product', 'Update');
?>
<div class="product-update">
    
    <h1><?= Html::encode($this->title) ?></h1>
    
    <?= $this->render('_form', [
        'model'       => $model,
        'model_langs' => $model_langs,
        'groups'      => $groups,
        'stocks'      => $stocks,
        'product'     => $product,
    ]) ?>

</div>
