<?php
    
    use common\modules\language\widgets\LanguageForm;
    use common\modules\rubrication\models\TaxGroup;
    use common\modules\rubrication\models\TaxGroupLang;
    use yii\helpers\Html;
    use yii\web\View;
    use yii\widgets\ActiveForm;
    use common\modules\product\helpers\ProductHelper;
    use common\components\artboxtree\ArtboxTreeHelper;
    
    /**
     * @var View           $this
     * @var TaxGroup       $model
     * @var TaxGroupLang[] $model_langs
     * @var ActiveForm     $form
     */
?>

<div class="tax-group-form">
    
    <?php $form = ActiveForm::begin([ 'options' => [ 'enctype' => 'multipart/form-data' ] ]); ?>
    
    <?= $form->field($model, 'categories')
             ->dropDownList(ArtboxTreeHelper::treeMap(ProductHelper::getCategories(), 'category_id', 'lang.name'), [
                     'multiple' => true,
                 ])
             ->label('Use in the following categories') ?>
    
    <?= $form->field($model, 'is_filter')
             ->checkbox() ?>
    
    <?= $form->field($model, 'display')
             ->checkbox() ?>
    
    <?= $form->field($model, 'is_menu')
             ->checkbox() ?>
    
    <?= $form->field($model, 'sort')
             ->textInput() ?>
    
    <?php
        echo LanguageForm::widget([
            'model_langs' => $model_langs,
            'formView'    => '@common/modules/rubrication/views/tax-group/_form_language',
            'form'        => $form,
        ]);
    ?>
    
    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? Yii::t('rubrication', 'Create') : Yii::t('rubrication', 'Update'), [ 'class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary' ]) ?>
    </div>
    
    <?php ActiveForm::end(); ?>

</div>
