<?php
    
    use common\modules\rubrication\models\TaxGroup;
    use common\modules\rubrication\models\TaxOptionLang;
    use yii\helpers\Html;
    
    /**
     * @var yii\web\View                                $this
     * @var common\modules\rubrication\models\TaxOption $model
     * @var TaxGroup                                    $group
     * @var TaxOptionLang[]                             $model_langs
     */
    $this->title = Yii::t('rubrication', 'Update {modelClass}: ', [
            'modelClass' => 'Tax Option',
        ]) . ' ' . $model->lang->value;
    $this->params[ 'breadcrumbs' ][] = [
        'label' => $group->level ? Yii::t('rubrication', 'Modification Groups') : Yii::t('rubrication', 'Product Groups'),
        'url'   => [
            'tax-group/index',
            'level' => $group->level,
        ],
    ];
    $this->params[ 'breadcrumbs' ][] = [
        'label' => $group->lang->name,
        'url'   => [
            'tax-group/update',
            'id'    => $group->tax_group_id,
            'level' => $group->level,
        ],
    ];
    $this->params[ 'breadcrumbs' ][] = [
        'label' => Yii::t('rubrication', 'Options for group {group}', [ 'group' => $group->lang->name ]),
        'url'   => [
            'index',
            'group' => $group->tax_group_id,
            'level' => $group->level,
        ],
    ];
    $this->params[ 'breadcrumbs' ][] = $this->title;
?>
<div class="tax-option-update">
    
    <h1><?= Html::encode($this->title) ?></h1>
    
    <?= $this->render('_form', [
        'model'       => $model,
        'model_langs' => $model_langs,
        'group'       => $group,
    ]) ?>

</div>
