<?php
    /**
     * @var yii\web\View       $this
     * @var ArticlesSearch     $searchModel
     * @var ActiveDataProvider $dataProvider
     */
    use common\models\ArticlesSearch;
    use yii\data\ActiveDataProvider;
    use yii\widgets\LinkPager;
    use yii\widgets\ListView;
    
    $this->title = Yii::t('app', 'Статьи');
    $this->params[ 'breadcrumbs' ][] = $this->title;
?>
<div class="section-box box-title-1 uppercase"><?= $this->title; ?></div>
<div class="section-box box-brand margin_bottom_30">
    <div class="style articles-wr">
        <?php
            echo ListView::widget([
                'dataProvider' => $dataProvider,
                'layout'       => '{items}',
                'itemView'     => '_list_item',
                'itemOptions'  => [
                    'class' => 'row',
                ],
            ]);
            ?>
            <div class="row navi_">
                <?php
                    echo LinkPager::widget([
                        'pagination' => $dataProvider->getPagination(),
                    ]);
                ?>
            </div>
    </div>
</div>
