<?php
    /**
     * @var View               $this
     * @var Category           $category
     * @var TaxOption          $purpose
     * @var Brand              $brand
     * @var ProductSearch      $searchModel
     * @var ActiveDataProvider $dataProvider
     */
    use common\components\artboximage\ArtboxImageHelper;
    use common\modules\product\models\Brand;
    use common\modules\product\models\Category;
    use common\modules\product\models\ProductSearch;
    use common\modules\rubrication\models\TaxOption;
    use yii\data\ActiveDataProvider;
    use yii\helpers\Html;
    use yii\helpers\Url;
    use yii\web\View;
    use yii\widgets\ListView;
    
    $this->title = $category->lang->name . ' ' . $brand->lang->name . ' ' . mb_strtolower($purpose->lang->value);
    $this->params[ 'breadcrumbs' ][] = [
        'label' => $category->lang->name,
        'url'   => [
            'filter/category',
            'id' => $category->category_id,
        ],
    ];
    $this->params[ 'breadcrumbs' ][] = [
        'label' => $purpose->lang->value,
        'url'   => [
            'filter/purpose',
            'id' => $purpose->tax_option_id,
        ],
    ];
    $this->params[ 'breadcrumbs' ][] = [
        'label' => $category->lang->name . ' ' . mb_strtolower($purpose->lang->value),
        'url'   => [
            'filter/index',
            'category_id' => $category->category_id,
            'purpose_id'  => $purpose->tax_option_id,
        ],
    ];
    $this->params[ 'breadcrumbs' ][] = $brand->lang->name;
?>
<div class="section-box box-title-1 uppercase"><?= $brand->lang->name ?></div>
<div class="section-box box-title-3 uppercase"><?= $category->lang->name . ' ' . mb_strtolower($purpose->lang->value) ?></div>
<div class="section-box box-brand margin_bottom_30">
    <div class="row">
        <div class="style" style="position: relative">
            <div class="col-xs-12 col-sm-6 col-md-6">
                <div class="style article-img">
                    <?php
                        echo ArtboxImageHelper::getImage($category->getImageUrl(), 'article_list');
                    ?>
                </div>
            </div>
            <div class="col-xs-12 col-sm-6 col-md-6" style="position: relative;z-index: 2">
                <div class="style brand-main-txt">
                    <?php
                        echo $brand->lang->seo_text;
                    ?>
                </div>
            </div>
            <div class="brand-txt-img">
                <?php
                    echo ArtboxImageHelper::getImage($brand->getImageUrl(), 'brand_image_filter');
                ?>
            </div>
        </div>
        <?php
            echo ListView::widget([
                'dataProvider' => $dataProvider,
                'itemView'     => '_brand_item',
                'itemOptions'  => [
                    'class' => 'brands-list_',
                ],
                'options'      => [
                    'class' => 'style brands-list-wr',
                ],
                'layout'       => '{items}',
            ]);
        ?>
    </div>
</div>