<?php
    /**
     * @var           $this yii\web\View
     * @var Category  $category
     * @var Brand[]   $brands
     */
    use common\components\artboximage\ArtboxImageHelper;
    use common\modules\product\models\Brand;
    use common\modules\product\models\Category;
    use yii\helpers\Html;
    
    $this->title = \Yii::t('product', 'Brands').' '.$category->lang->name;
    $this->params[ 'breadcrumbs' ][] = [
        'label' => $category->lang->name,
        'url'   => [
            'filter/category',
            'id' => $category->category_id,
        ],
    ];
    $this->params[ 'breadcrumbs' ][] = $this->title;
?>
<div class="section-box box-title-1 uppercase"><?= $this->title; ?></div>
<div class="section-box box-brand margin_bottom_30">
    <div class="row">
        <div class="col-xs-12 col-sm-9 col-md-7 col-lg-7">
            <div class="style article-img">
                <?php
                    echo ArtboxImageHelper::getImage($category->getImageUrl(), 'full_filter');
                ?>
            </div>
            <div class="style content-txt">
                <?php
                    echo $category->lang->seo_text;
                ?>
            </div>
        </div>
        <div class="col-xs-12 col-sm-1 col-md-1 col-lg-1 hidden-sm hidden-xs"></div>
        <div class="col-xs-12 col-sm-3 col-md-3 col-lg-2">
            <div class="brand-link">
                <?php
                    foreach($brands as $brand) {
                        echo Html::a(ArtboxImageHelper::getImage($brand->getImageUrl(), 'brand_image_filter'), [
                            'filter/category-brand',
                            'category_id' => $category->category_id,
                            'brand_id'    => $brand->brand_id,
                        ]);
                    }
                ?>
            </div>
        </div>
    </div>
</div>